# tmr_tag_lock_action.h File Reference

Mercury API - Tag Lock Action Interface. More...

`#include "tmr_gen2.h"`
`#include "tmr_iso180006b.h"`

## Classes

struct | TMR_TagLockAction

## Typedefs

typedef enum TMR_TagLockActionType | TMR_TagLockActionType
typedef struct TMR_TagLockAction | TMR_TagLockAction

## Enumerations

enum | TMR_TagLockActionType

## Functions

TMR_Status | TMR_TLA_init_gen2 (TMR_TagLockAction *lockAction, uint16_t mask, uint16_t action)

## Detailed Description

Mercury API - Tag Lock Action Interface.

Author:
  Brian Fiegel

Date:
  4/18/2009

## Typedef Documentation

typedef struct TMR_TagLockAction TMR_TagLockAction

Tag locking structure

typedef enum TMR_TagLockActionType TMR_TagLockActionType

Types of RFID Tag Locking Structures

## Enumeration Type Documentation

enum TMR_TagLockActionType

Types of RFID Tag Locking Structures

## Function Documentation

TMR_Status TMR_TLA_init_gen2 | ( | TMR_TagLockAction * | lockAction,
|  | uint16_t | mask,
|  | uint16_t | action |
| ) |  |  |

Initialize a TMR_TagLockAction as a Gen2 lock action with the provided parameters.

Parameters:

  | lockAction | Pointer to the structure to initialize.
  | mask | mask
  | action | action